{
  "compilerOptions": {
    "target": "es2016", 
    "module": "commonjs",
    "rootDir": "./",
    "baseUrl": "./",
    "outDir": "./server",
    // "moduleResolution": "node",
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "allowJs": true,

    /* Type Checking */
    "strict": true,
    "skipLibCheck": true,
    "paths": {
      "@/routes/*" : ["routes/*"],
      "@/mailers/*" : ["mailers/*"],
      "@/controllers/*" : ["controllers/*"],
      "@/utils/*" : ["utils/*"],
      "@/passport/*": ["passport/*"],
      "@/middleware/*" : ["middleware/*"],
      "@/validations/*" : ["validations/*"],
      "@/models/*" : ["models/*"],
      "@/interfaces/*" : ["interfaces/*"],
    },
  },
  "exclude": [
    "./tests/*",
    "./server/",
    "./node_modules/"
  ],
  "typedocOptions": {
    "entryPoints": ["./Hyve.ts", "./controllers/*", "./models/*", "./passport/*", "./interfaces/*"],
    "out": "documentation"
  }
}
